## python-pybedtools 0.7.8

=== requirements.txt ===
numpydoc
pyyaml
cython

=== debian/changelog ===
python-pybedtools (0.7.8-1) unstable; urgency=medium

  * Initial release. (Closes: #851358)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Jan 2017 01:51:01 -0800

=== debian/control ===
Source: python-pybedtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               bedtools,
               python3,
               python3-all,
               python3-setuptools,
               python3-dev,
               python3-pysam,
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-yaml,
               python3-tk,
               python3-sphinx,	
               cython,
               r-base-core,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pybedtools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pybedtools.git
Homepage: https://daler.github.io/pybedtools/

Package: python3-pybedtools
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: Python 3 wrapper around BEDTools for bioinformatics work
 The BEDTools suite of programs is widely used for genomic interval
 manipulation or “genome algebra”. pybedtools wraps and extends BEDTools and
 offers feature-level manipulations from within Python.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')

export DEB_BUILD_MAINT_OPTIONS=+bindnow
export PYBUILD_NAME=pybedtools
export MATPLOTLIBRC=$(CURDIR)/debian/
export PYBUILD_TEST_ARGS=--attr '!url'
export PYBUILD_BEFORE_TEST=cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py develop --user
	python3 setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression

## python-pybedtools 0.7.10

=== requirements.txt ===
cython
numpy
pandas
pysam
six

=== debian/changelog ===
python-pybedtools (0.7.10-2) unstable; urgency=medium

  * Team upload
  * Add back test_issue_178 after upstream provided a patch

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 12:01:51 +0100

python-pybedtools (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: python3-all-dev (Thanks for the hint to Adrian Bunk
    <bunk@debian.org>)
    Closes: #868927
  * Standards-Version: 4.1.1 (no changes needed)
  * do not uselessly parse d/changelog
  * hardening
  * Exclude test test_issue_178 since it fails for strange reasons (to be
    clarified with upstream)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 09:00:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                dh-python,
                bedtools,
                python3,
-               python3-all,
+               python3-all-dev,
                python3-setuptools,
-               python3-dev,
                python3-pysam,
                python3-matplotlib,
                python3-nose,
@@ -22,7 +21,7 @@
                cython,
                r-base-core,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pybedtools.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pybedtools.git
 Homepage: https://daler.github.io/pybedtools/

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,11 @@
 
 DH_VERBOSE := 1
 
-DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
-VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
-
-export DEB_BUILD_MAINT_OPTIONS=+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=pybedtools
 export MATPLOTLIBRC=$(CURDIR)/debian/
-export PYBUILD_TEST_ARGS=--attr '!url'
+# Add back test_issue_178 after upstream provided a patch https://github.com/daler/pybedtools/pull/228
+export PYBUILD_TEST_ARGS=--attr '!url' # --exclude='(test_issue_178)'
 export PYBUILD_BEFORE_TEST=cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/
 export HOME=$(shell echo $$PWD"/fakehome")

## python-pybedtools 0.8.0

=== debian/changelog ===
python-pybedtools (0.8.0-1) unstable; urgency=medium

  * New upstream version.

  * d/control:
    - Standards-Version: 4.3.0
    - No Python2 packages
    - Vcs links adapted for new home on salsa.d.o

  * d/copyright
    - adjusted paths for LGPL 2.1 files
    - added notion of GPL-2 (not later) files, credits for spotting
      those go to Thorsten Alteholz
      Created issue https://github.com/daler/pybedtools/issues/271
      proposing to homogenize that licensing.

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Jan 2019 15:41:02 +0100

python-pybedtools (0.7.10-2.1) REMOVED; urgency=medium

  * Removed from unstable and testing, see
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894299

 -- Steffen Moeller <moeller@debian.org>  Wed, 13 Jun 2018 22:40:23 +0200

=== debian/control ===
Source: python-pybedtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               bedtools,
               cython3,
               python3-all-dev,
               python3-setuptools,
               python3-pysam,
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-yaml,
               python3-tk,
               python3-sphinx,	
               r-base-core,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pybedtools
Vcs-Git: https://salsa.debian.org/med-team/python-pybedtools.git
Homepage: https://daler.github.io/pybedtools/

Package: pybedtools-bin
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pybedtools
Description: Scripts produced for pybedtools
 The BEDTools suite of programs is widely used for genomic interval
 manipulation or “genome algebra”. pybedtools wraps and extends BEDTools and
 offers feature-level manipulations from within Python.
 .
 This package provides scripts that are executable with the
 Python 3 version of this package.

Package: python3-pybedtools
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-pybedtools-doc
Description: Python 3 wrapper around BEDTools for bioinformatics work
 The BEDTools suite of programs is widely used for genomic interval
 manipulation or “genome algebra”. pybedtools wraps and extends BEDTools and
 offers feature-level manipulations from within Python.
 .
 This is the Python 3 version.

Package: python-pybedtools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-pybedtools|python-pybedtools
Description: Documentation for pybedtools library
 Shinx-generated documentation.

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,33 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
+	python3 setup.py cythonize
 	dh_auto_build
 	python3 setup.py develop --user
 	python3 setup.py build_sphinx
 
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression
+	rm -f debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression
+	mkdir -p debian/pybedtools-bin/usr/bin
+	mv debian/python3-pybedtools/usr/bin/* debian/pybedtools-bin/usr/bin/
+	rm -fr debian/python-pybedtools/usr/bin
+	rm -fr debian/python3-pybedtools/usr/bin
+
+override_dh_auto_test:
+	@echo
+	@echo *** NOT TESTING ***
+	@echo
+
+override_dh_auto_clean:
+	/bin/rm -rf fakehome .eggs .pybuild
+	/bin/rm -rf debian/python3-pybedtools debian/files
+	/bin/rm -rf pybedtools.egg-info
+	/bin/rm -rf pybedtools/scripts/__pycache__/
+	/bin/rm -rf pybedtools/contrib/__pycache__/
+	/bin/rm -rf pybedtools/__pycache__/
+	find pybedtools -name "*.so" -o -name "*.o" | xargs -r rm
+	rm -rf build
+	/bin/rm -rf pybedtools/cbedtools.cpp pybedtools/featurefuncs.cpp
+	find docs/source/autodocs/ -name "*.rst" | xargs -r /bin/rm
+	#dh_auto_clean

=== debian/watch ===
version=3

https://github.com/daler/pybedtools/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-pybedtools 0.9.0

=== debian/changelog ===
python-pybedtools (0.9.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:46:32 +0000

python-pybedtools (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * Enable uscan downloading sensible file name

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 15:21:29 +0100

python-pybedtools (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * Fix installation of examples
  * No need to fix permissions any more

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 14:08:37 +0200

python-pybedtools (0.8.0-6) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 13:33:21 +0200

python-pybedtools (0.8.0-5) unstable; urgency=medium

  * Fix binary-all build
    Closes: #960746

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:51:43 +0200

python-pybedtools (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against available architectures
    Closes: #960411
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add missing shebang lines in scripts
  * Move example script to examples
  * Fix permission of script

 -- Andreas Tille <tille@debian.org>  Wed, 13 May 2020 09:14:53 +0200

python-pybedtools (0.8.0-3) unstable; urgency=medium

  * Mark the -doc package Multi-Arch: foreign
  * debhelper-compat 12
  * Testsuite: autopkgtest-pkg-python
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/control
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * -doc: add ${sphinxdoc:Built-Using}

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 14 Nov 2019 13:16:33 +0100

python-pybedtools (0.8.0-2) unstable; urgency=medium

  * Improved parsing of version of bedtool binary
  * Standards-Version: 4.3.0

 -- Steffen Moeller <moeller@debian.org>  Fri, 02 Aug 2019 16:15:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-pybedtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                bedtools,
                cython3,
@@ -16,15 +17,18 @@
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
+               python3-psutil,
+               python3-pytest,
                python3-yaml,
                python3-tk,
-               python3-sphinx,	
+               python3-sphinx,
                r-base-core,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pybedtools
 Vcs-Git: https://salsa.debian.org/med-team/python-pybedtools.git
 Homepage: https://daler.github.io/pybedtools/
+Rules-Requires-Root: no
 
 Package: pybedtools-bin
 Architecture: all
@@ -55,6 +59,8 @@
 Package: python-pybedtools-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: python3-pybedtools|python-pybedtools

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pybedtools
export MATPLOTLIBRC=$(CURDIR)/debian/
#export PYBUILD_TEST_ARGS=--attr '!url'
export PYBUILD_BEFORE_TEST=cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/ ; python3 {dir}/setup.py install --user ; export HOME=$(CURDIR)/fakehome
export PYBUILD_TEST_ARGS=-v --doctest-modules
export PYBUILD_AFTER_TEST=cd {dir}/docs ; make clean doctest
export PYBUILD_DISABLE=test  # tests aren't passing upstream
export HOME=$(CURDIR)/fakehome
export PATH:=$(PATH):$(HOME)/.local/bin

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py cythonize
	dh_auto_build
	python3 setup.py develop --user
	python3 setup.py build_sphinx

override_dh_install:
	dh_install
	rm -f debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression

override_dh_auto_clean:
	/bin/rm -rf fakehome .eggs .pybuild
	/bin/rm -rf debian/python3-pybedtools debian/files
	/bin/rm -rf pybedtools.egg-info
	/bin/rm -rf pybedtools/scripts/__pycache__/
	/bin/rm -rf pybedtools/contrib/__pycache__/
	/bin/rm -rf pybedtools/__pycache__/
	find pybedtools -name "*.so" -o -name "*.o" | xargs -r rm
	rm -rf build
	/bin/rm -rf pybedtools/cbedtools.cpp pybedtools/featurefuncs.cpp
	find docs/source/autodocs/ -name "*.rst" | xargs -r /bin/rm
	# dh_auto_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/daler/pybedtools/releases .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-pybedtools 0.9.1

=== requirements.txt ===
numpy
pandas
pysam
six

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
#BUILDDIR      = ../../pybedtools-docs
BUILDDIR      = build
PDF           = build/html/pybedtools_manual.pdf
PDFBUILDDIR   = /tmp/doc-pybedtools

PYTHONPATH=$PYTHONPATH:..


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"


clean:
	-rm -rf $(BUILDDIR)/* source/autodocs/*.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
	touch $(BUILDDIR)/html/.nojekyll

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pybedtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pybedtools.qhc"

devhelp: 
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pybedtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pybedtools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(PDFBUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(PDFBUILDDIR)/latex all-pdf
	cp $(PDFBUILDDIR)/latex/*.pdf $(PDF)
	@echo "pdflatex finished; see PDF files in $(PDF)"

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pybedtools (0.9.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:39:55 +0000

python-pybedtools (0.9.1-1) unstable; urgency=medium

  [ Lance Lin ]
  * Team upload.
  * New upstream version
  * d/control: Replace autopkgtest-pkg-python with autopkgtest-pkg-pybuild
  * d/rules:
   - Enable build tests
   - Deselect test_chromsizes test, needs internet
   - Build docs with sphinx-build for Sphinx 7.1 (Closes: #1042651)
   - Remove autogenerated files from build
  * d/python-pybedtools-doc.docs: Change sphinx docs location
  * d/source/options: Ignore modified source files (Closes: #1048006)
  * d/patches/yaml_safe_load.patch: Modify safe_load for full_load where needed

  [ Andreas Tille ]
  * Remove unknown files in python module directory
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove field Testsuite on binary package python-pybedtools-doc that
    duplicates source.

 -- Lance Lin <lq27267@gmail.com>  Fri, 27 Oct 2023 19:35:26 +0700

python-pybedtools (0.9.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: restore python3 all versions support now that pysam supports
    python3.11.
    Thanks to Andreas Beckmann for the reminder. (Closes: #1025116)
  * d/copyright: update copyright year.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 Jan 2023 21:49:24 +0100

python-pybedtools (0.9.0-3) unstable; urgency=medium

  * Team Upload.
  * d/watch: repair watch file from github changes.
  * d/control: stick to python3.10. (Closes: #1025116)

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 12:19:36 +0100

python-pybedtools (0.9.0-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to replace yaml.load calls with
    yaml.safe_load (Closes: #1022076)
  * Change B-D from python3-nose to python3-pytest (Closes: #1018560)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Oct 2022 16:24:34 +0530

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,24 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                bedtools,
                cython3,
                python3-all-dev,
                python3-setuptools,
                python3-pysam,
                python3-matplotlib,
-               python3-nose,
+               python3-pytest,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
                python3-psutil,
-               python3-pytest,
                python3-yaml,
                python3-tk,
                python3-sphinx,
                r-base-core,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pybedtools
 Vcs-Git: https://salsa.debian.org/med-team/python-pybedtools.git
 Homepage: https://daler.github.io/pybedtools/
@@ -58,11 +57,11 @@
 
 Package: python-pybedtools-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Multi-Arch: foreign
-Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: python3-pybedtools|python-pybedtools
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Documentation for pybedtools library
  Shinx-generated documentation.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pybedtools
export MATPLOTLIBRC=$(CURDIR)/debian/

export PYBUILD_BEFORE_TEST=

ifneq ($(PYBUILD_AUTOPKGTEST), 1)
PYBUILD_BEFORE_TEST= cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/ ;
endif

PYBUILD_BEFORE_TEST+= \
	python3 {dir}/setup.py install --user ; \
	export HOME=$(CURDIR)/fakehome

export PYBUILD_TEST_ARGS=-k "not test_chromsizes"
ifeq ($(PYBUILD_AUTOPKGTEST), 1)
PYBUILD_TEST_ARGS+={dir}/pybedtools/test/
endif

export PYBUILD_AFTER_TEST=cd {dir}/docs ; make clean doctest

export HOME=$(CURDIR)/fakehome
export PATH:=$(PATH):$(HOME)/.local/bin

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py cythonize
	dh_auto_build
	python3 setup.py develop --user
	sphinx-build -N -b html docs/source docs/html

override_dh_install:
	dh_install
	rm -f debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression \
	      debian/python3-pybedtools/usr/lib/python3*/dist-packages/foo.bed \
	      debian/python3-pybedtools/usr/lib/python3*/dist-packages/genome.txt

override_dh_auto_clean:
	/bin/rm -rf fakehome .eggs .pybuild .pytest_cache
	/bin/rm -rf debian/python3-pybedtools debian/files
	/bin/rm -rf pybedtools.egg-info
	/bin/rm -rf pybedtools/scripts/__pycache__/
	/bin/rm -rf pybedtools/contrib/__pycache__/
	/bin/rm -rf pybedtools/__pycache__/
	find pybedtools -name "*.so" -o -name "*.o" | xargs -r rm
	rm -rf build
	rm -rf docs/build docs/*.bed docs/*.genome
	rm -rf dist
	/bin/rm -rf pybedtools/cbedtools.cpp pybedtools/featurefuncs.cpp
	find docs/source/autodocs/ -name "*.rst" | xargs -r /bin/rm
	# dh_auto_clean

## python-pybedtools 0.10.0

=== requirements.txt ===
numpy
pandas
pysam

=== debian/changelog ===
python-pybedtools (0.10.0-5) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-matplotlib in BD. Closes: #1116873.
  * d/copyright: Do not refer to the old postal address of the FSF.
  * d/control: Drop "Rules-Requires-Root: no", not needed anymore.
  * d/control: Drop "Priority: optional", not needed anymore.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 19:30:00 +0200

python-pybedtools (0.10.0-4) unstable; urgency=medium

  * d/control: re-instate using pybuild for the autopkgtests
  * d/control: tidy build requirements, use the nodoc and nocheck build
    profiles
  * Modernized the build using pybuild-plugin-pyproject
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 26 Dec 2024 16:35:35 -0800

python-pybedtools (0.10.0-3) unstable; urgency=medium

  * Team Upload.
  * d/patches/fix-doctest-imports.py: Add patch from upstream to use
    explicit namespace in docstrings of long_range_interaction file (Closes:
    #1090283).

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 24 Dec 2024 19:24:47 -0300

python-pybedtools (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches/416.patch: Apply patch from upstream to fix Python3.13 issues in
    build (Closes: #1081673).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 14 Nov 2024 22:58:17 -0300

python-pybedtools (0.10.0-1) unstable; urgency=medium

  * New upstream version. Closes: #1068960
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 May 2024 17:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,29 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
-Priority: optional
+Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                bedtools,
                cython3,
                python3-all-dev,
                python3-setuptools,
                python3-pysam,
                python3-matplotlib,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-numpy,
-               python3-numpydoc,
-               python3-pandas,
-               python3-psutil,
-               python3-yaml,
-               python3-tk,
-               python3-sphinx,
+               python3-numpydoc <!nodoc>,
+               python3-pandas <!nodoc> <!nocheck>,
+               python3-psutil <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-sphinx <!nodoc>,
                r-base-core,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pybedtools
 Vcs-Git: https://salsa.debian.org/med-team/python-pybedtools.git
 Homepage: https://daler.github.io/pybedtools/
-Rules-Requires-Root: no
 
 Package: pybedtools-bin
 Architecture: all
@@ -61,7 +59,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python3-pybedtools|python-pybedtools
+Suggests: python3-pybedtools
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Documentation for pybedtools library
- Shinx-generated documentation.
+ Sphinx-generated documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,34 +9,22 @@
 export PYBUILD_BEFORE_TEST=
 
 ifneq ($(PYBUILD_AUTOPKGTEST), 1)
-PYBUILD_BEFORE_TEST= cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/ ;
+export PYBUILD_BEFORE_TEST+= cp {dir}/debian/mpl-expected.png {build_dir}/pybedtools/test/ ;
 endif
 
-PYBUILD_BEFORE_TEST+= \
-	python3 {dir}/setup.py install --user ; \
-	export HOME=$(CURDIR)/fakehome
+export PYBUILD_TEST_ARGS=-k "not test_chromsizes" --pyargs pybedtools
 
-export PYBUILD_TEST_ARGS=-k "not test_chromsizes"
-ifeq ($(PYBUILD_AUTOPKGTEST), 1)
-PYBUILD_TEST_ARGS+={dir}/pybedtools/test/
-endif
+export PYBUILD_AFTER_TEST=cd {dir}/docs ; PYTHONPATH={build_dir} {interpreter} -m sphinx -b doctest -d build/doctrees   source build/doctest
 
-export PYBUILD_AFTER_TEST=cd {dir}/docs ; make clean doctest
-
-export HOME=$(CURDIR)/fakehome
-export PATH:=$(PATH):$(HOME)/.local/bin
+defaultpython=$(shell py3versions -dv)
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	python3 setup.py cythonize
-	dh_auto_build
-	python3 setup.py develop --user
-	sphinx-build -N -b html docs/source docs/html
+execute_after_dh_auto_build:
+	cd docs ; PYTHONPATH=$(shell pybuild --pyver ${defaultpython} --print build_dir | awk '-F: ' '{print $$2}') python${defaultpython} -m sphinx -N -b html source html
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -f debian/python3-pybedtools/usr/lib/python3*/dist-packages/pybedtools/test/prevent_open_file_regression \
 	      debian/python3-pybedtools/usr/lib/python3*/dist-packages/foo.bed \
 	      debian/python3-pybedtools/usr/lib/python3*/dist-packages/genome.txt

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=auto" \
https://github.com/daler/pybedtools.git \
refs/tags/v?@ANY_VERSION@
